Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I would like to use unattended-upgrade to update the Adobe Reader, Flash Player and everything else of the Canonical partners. There fore, I added in /etc/apt/apt.conf.d/50unattended-upgrades

Unattended-Upgrade::Allowed-Origins {
    "${distro_id} ${distro_codename}-security";
    "${distro_id} ${distro_codename}-updates";
        "Canonical ${distro_codename}";
//  "${distro_id} ${distro_codename}-proposed";
//  "${distro_id} ${distro_codename}-backports";
};

sudo unattended-upgrade --dry-run -d

says

Initial blacklisted packages: 
Starting unattended upgrades script
Allowed origins are: ['o=Ubuntu,a=oneiric-security', 'o=Ubuntu,a=oneiric-updates', 'o=Canonical,a=oneiric']
Checking: acroread-common (["<Origin component:'partner' archive:'' origin:'' label:'' site:'archive.canonical.com' isTrusted:False>"])
Checking: adobe-flash-properties-gtk (["<Origin component:'partner' archive:'' origin:'' label:'' site:'archive.canonical.com' isTrusted:False>"])
Checking: adobe-flashplugin (["<Origin component:'partner' archive:'' origin:'' label:'' site:'archive.canonical.com' isTrusted:False>"])
Checking: adobereader-deu (["<Origin component:'partner' archive:'' origin:'' label:'' site:'archive.canonical.com' isTrusted:False>"])
Checking: handbrake-cli (["<Origin component:'main' archive:'oneiric' origin:'LP-PPA-stebbins-handbrake-snapshots' label:'HandBrake Snapshots' site:'ppa.launchpad.net' isTrusted:True>"])
Checking: handbrake-gtk (["<Origin component:'main' archive:'oneiric' origin:'LP-PPA-stebbins-handbrake-snapshots' label:'HandBrake Snapshots' site:'ppa.launchpad.net' isTrusted:True>"])
Checking: sopcast-player (["<Origin component:'main' archive:'oneiric' origin:'LP-PPA-ferramroberto-sopcast' label:'LffL Sopcast' site:'ppa.launchpad.net' isTrusted:True>"])
pkgs that look like they should be upgraded: 
Fetched 0 B in 0s (0 B/s)                                                      
blacklist: []
InstCount=0 DelCount=0 BrokenCout=0
No packages found that can be upgraded unattended

And it won't update. How can I update the third-party software automatically?

share|improve this question
add comment

2 Answers 2

It seems that for the partner repository, you need to add something like this:

"deb http://archive.canonical.com/ubuntu ${distro_codename} partner"

The original line is this:

deb http://archive.canonical.com/ubuntu oneiric partner 
share|improve this answer
    
Maybe, but this gives me the same errors and empty fields. Also without "deb ". –  jubel Nov 29 '11 at 10:29
add comment

This works for me:

"Canonical:${distro_codename}";
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.